// SpinDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Grapes.h"
#include "SpinDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSpinDlg dialog
CSpinDlg::CSpinDlg(CView *theView)
{
	this->theView = theView;
	Create(CSpinDlg::IDD);
	m_edit1 = 0.0f;
}

CSpinDlg::CSpinDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSpinDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSpinDlg)
	m_edit1 = 0.0f;
	//}}AFX_DATA_INIT
}


void CSpinDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSpinDlg)
	DDX_Control(pDX, IDC_SPINDLG_SPIN1, m_spin1);
	DDX_Text(pDX, IDC_SPINDLG_EDIT1, m_edit1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSpinDlg, CDialog)
	//{{AFX_MSG_MAP(CSpinDlg)
	ON_WM_VSCROLL()
	ON_BN_CLICKED(ID_SPIN_APPLY, OnSpinApply)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSpinDlg message handlers

BOOL CSpinDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_spin1.SetRange(0, 10000);
	m_spin1.SetBase(10);
	m_spin1.SetPos(0);
	m_edit1 = 0;
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSpinDlg::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	UpdateData(TRUE);
	theView->SendMessage(WM_UMESSAGE, MAKELONG(uid, UMC_DATA),
		(LPARAM)(m_edit1*100000.0f));

	CDialog::OnVScroll(nSBCode, nPos, pScrollBar);
}

void CSpinDlg::SetStartVal(float val)
{
	m_edit1 = val;
	m_spin1.SetPos((int)(m_edit1+0.5));
	UpdateData(FALSE);
}

void CSpinDlg::OnSpinApply() 
{
	UpdateData(TRUE);

	theView->SendMessage(WM_UMESSAGE, MAKELONG(uid, UMC_DATA),
		(LPARAM)(m_edit1*100000.0f));
}

void CSpinDlg::SetUID(int uid)
{
	this->uid = uid;
}
